
#
# DESTDIR
#
ifeq ($(origin DESTDIR), undefined)
	DESTDIR		:=
endif


#
# PREFIX, EPREFIX, prefix and exec_prefix. Lower cases variants have higher
# priority.
#
ifneq ($(origin prefix), undefined)
	PREFIX		:= $(prefix)
endif

ifeq ($(origin PREFIX), undefined)
	PREFIX		:= /usr/local
endif

ifneq ($(origin exec_prefix), undefined)
	EPREFIX		:= $(exec_prefix)
endif

ifeq ($(origin EPREFIX), undefined)
	EPREFIX		:= $(PREFIX)
endif

ifeq ($(origin prefix), undefined)
	prefix		:= $(PREFIX)
endif

ifeq ($(origin exec_prefix), undefined)
	exec_prefix	:= $(EPREFIX)
endif


#
# Various other installation paths.
#
ifeq ($(origin bindir), undefined)
	bindir		:= $(exec_prefix)/bin
endif

ifeq ($(origin sbindir), undefined)
	sbindir		:= $(exec_prefix)/sbin
endif

ifeq ($(origin libexecdir), undefined)
	libexecdir	:= $(exec_prefix)/libexec
endif

ifeq ($(origin datadir), undefined)
	datadir		:= $(prefix)/share
endif

ifeq ($(origin sysconfdir), undefined)
	sysconfdir	:= $(prefix)/etc
endif

ifeq ($(origin sharedstatedir), undefined)
	sharedstatedir	:= $(prefix)/com
endif

ifeq ($(origin localstatedir), undefined)
	localstatedir	:= $(prefix)/var
endif

ifeq ($(origin includedir), undefined)
	includedir	:= $(prefix)/include
endif

ifeq ($(origin libdir), undefined)
	libdir		:= $(prefix)/lib
endif

ifeq ($(origin localedir), undefined)
	localedir	:= $(datadir)/locale
endif

ifeq ($(origin mandir), undefined)
	mandir		:= $(datadir)/man
endif

ifeq ($(origin infodir), undefined)
	infodir		:= $(datadir)/info
endif


#
# CC
#
ifeq ($(origin CC), undefined)
	CC		:= gcc
endif

ifeq ($(origin CFLAGS), undefined)
	CFLAGS		:= -g -pipe
endif

ifeq ($(origin CPPFLAGS), undefined)
	CPPFLAGS	:= -I$(DESTDIR)$(includedir)
endif


#
# AR
#
ifeq ($(origin AR), undefined)
	AR		:= ar
endif

ifeq ($(origin ARFLAGS), undefined)
	ARFLAGS		:= cru
endif


#
# RANLIB
#
ifeq ($(origin RANLIB), undefined)
	RANLIB		:= ranlib
endif

ifeq ($(origin RANLIBFLAGS), undefined)
	RANLIBFLAGS	:= 
endif


#
# LD
#
ifeq ($(origin LD), undefined)
	LD		:= ld
endif

ifeq ($(origin LDFLAGS), undefined)
	LDFLAGS		:= -L$(DESTDIR)$(libdir)
endif


#
# M4
#
ifeq ($(origin M4), undefined)
	M4		:= m4
endif

ifeq ($(origin M4FLAGS), undefined)
	M4FLAGS		:=
endif


#
# install
#
ifeq ($(origin INSTALL), undefined)
	INSTALL		:= install
endif

ifeq ($(origin INSTALL_DATA), undefined)
	INSTALL_DATA	:= $(INSTALL) -m 644
endif

ifeq ($(origin INSTALL_PROGRAM), undefined)
	INSTALL_PROGRAM	:= $(INSTALL) -m 755
endif


#
# mkdir
#
ifeq ($(origin MKDIR), undefined)
	MKDIR		:= mkdir
endif

