#
# Standard GNU Make non-recursive prologue. Pushes callers $(d) onto a stack.
#
sp		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)

# Our parent directory
$(d)/..		:= $(subst /$(notdir $(d)),,$(d))

CFLAGS_$(d)	:= $(CFLAGS)
CPPFLAGS_$(d)	:= -I$($(d)/..)/src -I$($(d)/..)/compat $(CPPFLAGS)
LDFLAGS_$(d)	:= -L$($(d)/..)/src $(LDFLAGS)

$(d)/stacked: $(d)/stacked.c $($(d)/..)/src/libarena.a
	$(CC) $(CFLAGS_$(@D)) $(CPPFLAGS_$(@D)) $(LDFLAGS_$(@D)) -o $@ $< -larena -lz

.PHONY: $(d)/check

$(d)/check: $(d)/stacked
	$(@D)/stacked

check: $(d)/check



.PHONY: $(d)/clean

$(d)/clean:
	rm -f $(@D)/stacked

clean: $(d)/clean


#
# Standard GNU Make non-recursive epilogue. Restores callers $(d).
#
d	:= $(dirstack_$(sp))
sp	:= $(basename $(sp))
