/* ==========================================================================
 * libarena/util.h - Custom Memory Allocator Interface
 * --------------------------------------------------------------------------
 * Copyright (c) 2006  William Ahern
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to permit
 * persons to whom the Software is furnished to do so, subject to the
 * following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
 * USE OR OTHER DEALINGS IN THE SOFTWARE.
 * ==========================================================================
 */
#ifndef ARENA_UTIL_H
#define ARENA_UTIL_H


char *arena_util_strldup(const arena_t *a, const char *src, size_t srclen);

char *arena_util_strndup(const arena_t *a, const char *src, size_t maxlen);

char *arena_util_strdup(const arena_t *a, const char *src);

void *arena_util_memdup(const arena_t *a, const void *src, size_t srclen);

int arena_util_vasprintf(const arena_t *a, char **dstp, const char *fmt, va_list ap);

int arena_util_asprintf(const arena_t *a, char **dstp, const char *fmt, ...);

char *arena_util_vsprintf(const arena_t *a, const char *fmt, va_list ap);

char *arena_util_sprintf(const arena_t *a, const char *fmt, ...);

int arena_util_split(const arena_t *a, int *argcp, char ***argvp, char **strp, const char *sep);


#endif /* ARENA_UTIL_H */
